import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/guangxinhu/f103aa2dfabfb7a6c1feff1191b45af0/raw/a89e0ccee44ebdb1d1e0b9fda188fbbdbee18fa3/Global%2520Earthquake%2520Database'

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.FocalDepth = +d.FocalDepth;
      d.Mo = +d.Mo;
      d.Year = +d.Year;
      d.Mag = +d.Mag;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};